As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 846422 - Change - Context menu overlays flyouts
: Change - Context menu overlays flyouts
Status: VERIFIED FIXED
feature=change c=operations u=develop...
:
Product: Firefox for Metro
Classification: Client Software
Component: Input (show other bugs)
: Trunk
: x86_64 Windows 8.1
: P1 normal (vote)
: Firefox 22
Assigned To: Rodrigo Silveira [:rsilveira] [:rodms]
:
:
Mentors:
Depends on:
Blocks: 831958 metrov1it5
  Show dependency treegraph
 
Reported: 2013-02-28 11:36 PST by Jim Mathies [:jimm]
Modified: 2014-07-24 11:06 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screen cap (107.98 KB, image/png)
2013-02-28 11:36 PST, Jim Mathies [:jimm]
no flags Details
move flyouts (15.16 KB, patch)
2013-02-28 11:42 PST, Jim Mathies [:jimm]
mbrubeck: review-
Details | Diff | Splinter Review
Patch v1 (2.05 KB, patch)
2013-03-27 11:37 PDT, Rodrigo Silveira [:rsilveira] [:rodms]
mbrubeck: review+
mbrubeck: checkin+
Details | Diff | Splinter Review

Description User image Jim Mathies [:jimm] 2013-02-28 11:36:59 PST
Created attachment 719607 [details]
screen cap

See screen shot. We need to move these down in the stack.
Comment 1 User image Marco Mucci [:MarcoM] 2013-02-28 11:40:13 PST
Which story or work item does this block Jim?
Comment 2 User image Jim Mathies [:jimm] 2013-02-28 11:42:54 PST
Created attachment 719612 [details] [diff] [review]
move flyouts

Flyouts should be at the bottom of pretty much everything I think.
Comment 3 User image Jim Mathies [:jimm] 2013-02-28 11:44:25 PST
That patch sucks since it blows away blame. All I've really done is copy flyouts down to the bottom of the stack.
Comment 4 User image Jim Mathies [:jimm] 2013-02-28 11:45:23 PST
(In reply to Marco Mucci [:MarcoM] from comment #1)
> Which story or work item does this block Jim?

Hmm, something flyouts related maybe?
Comment 5 User image Matt Brubeck (:mbrubeck) 2013-02-28 11:48:09 PST
Comment on attachment 719612 [details] [diff] [review]
move flyouts

We need menus to be able to appear over flyoutpanels; for example we use a MenuPopup for the menulist control in the "Startup" section of the Options flyout.  It seems likely that we will also want text selection or context menus within flyoutpanels at some point.

For the case in your screenshot, maybe we should get better about hiding the flyoutpanel when interacting with content (and/or hiding the context menu when showing the flyoutpanel).
Comment 6 User image Jim Mathies [:jimm] 2013-02-28 11:51:43 PST
Comment on attachment 719612 [details] [diff] [review]
move flyouts

ah poop. thought it was an easy fix.
Comment 7 User image Asa Dotzler [:asa] 2013-03-12 13:49:23 PDT
I think we should be clearing any context menus when the user swipes in the charms bar.
Comment 8 User image Rodrigo Silveira [:rsilveira] [:rodms] 2013-03-27 11:37:05 PDT
Created attachment 730251 [details] [diff] [review]
Patch v1
Comment 10 User image Ryan VanderMeulen [:RyanVM] 2013-03-28 05:38:23 PDT
https://hg.mozilla.org/mozilla-central/rev/4afb61ad2964
Comment 11 User image Marco Mucci [:MarcoM] 2013-03-28 09:54:25 PDT
Just reopening for inclusion into Iteration #5.
Comment 12 User image Virgil Dicu [:virgil] [QA] 2013-04-05 07:06:18 PDT
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:23.0) Gecko/20130404 Firefox/23.0

Verified that context menu, for a selected text on a page, is not accessible when the user swipes in the charms bar and selects an option.
Comment 13 User image Kamil Jozwiak [:kjozwiak] 2013-04-13 11:12:08 PDT
Hi Jim, added the issues that I found here as the original "Story" seems to be missing
Comment 14 User image Jim Mathies [:jimm] 2013-04-28 04:57:52 PDT
I don't think we need to block in this. Each bug is different.
Comment 15 User image Kamil Jozwiak [:kjozwiak] 2013-05-28 21:58:16 PDT
Went through the following "Defect" for iteration #7 testing without any issues. Used the following build:

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2013-05-28-03-09-42-mozilla-central/

- Ensured that selecting "Options", "Sync" or "About" clears the "Context Menu" without any issues
- Ensured that both "Link" & "Image" Context Menu's are dismissed when selecting "Options", "Sync" or "About"
- Ensured that the "Context Menu" is being cleared when creating a new tab using the junior style button
- Ensured that the "Context Menu" is being cleared when creating a new tab using the "+" button under the "Navigation App Bar"
- Ensured that the "Context Menu" is being cleared when selecting the junior style "Back" button
- Ensured that the "Context Menu" is being cleared when sliding in the "Navigation App Bar" from both the bottom & top

Issues still occurring with the Context Menu:

- Bug 861536 (Defect) still an an issue (reproduced several times)
- Bug 861532 (Defect) is still an issue (reproduced several times)

Note You need to log in before you can comment on or make changes to this bug.